https://bugs.gentoo.org/601426
https://lists.gnu.org/archive/html/bug-ncurses/2015-02/msg00012.html

From: John Vogel
Subject: [PATCH] c++ binding missed when cross compiling
Date: Mon, 16 Feb 2015 01:01:48 -0500

The configure script hard codes the include dir to the prefix'ed include dir,
when checking if c++ compiler works. This breaks the compiler's built-in search
path. I've included two patches. The first works on the configure.in file, which
requires your autoconf stuff to test and I'm not ready to meddle with at the
moment. The other works directly on the configure file. I've tested the second
one; it should mirror what the first patch tries to achieve and works for me.

--- a/configure
+++ b/configure
@@ -3459,10 +3459,6 @@
 		echo "$as_me:3459: checking if $CXX works" >&5
 echo $ECHO_N "checking if $CXX works... $ECHO_C" >&6
 
-		save_CPPFLAGS="$CPPFLAGS"
-		eval cf_includedir=${includedir}
-		CPPFLAGS="$CPPFLAGS -I${cf_includedir}"
-
 cat >"conftest.$ac_ext" <<_ACEOF
 #line 3467 "configure"
 #include "confdefs.h"
@@ -3499,7 +3495,6 @@
 cf_cxx_works=no
 fi
 rm -f "conftest.$ac_objext" "conftest.$ac_ext"
-		CPPFLAGS="$save_CPPFLAGS"
 
 		echo "$as_me:3504: result: $cf_cxx_works" >&5
 echo "${ECHO_T}$cf_cxx_works" >&6
